Summary:	TCP port reservation utility
Name:		portreserve
Version:	0.0.5
Release:	10
License:	GPLv2+
Group:		System/Base
Url:		http://cyberelk.net/tim/portreserve/
Source0:	http://cyberelk.net/tim/data/portreserve/stable/%{name}-%{version}.tar.bz2
Source1:	http://cyberelk.net/tim/data/portreserve/stable/%{name}-%{version}.tar.bz2.sig
Source2:	portreserve.service
Patch0:		portreserve-pid-file.patch
Patch1:		portreserve-0.0.0-socket_dir.diff
Patch2:		portreserve-0.0.5-docbook-dtd45.patch
BuildRequires:	docbook-dtd45-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	xmlto
Requires(preun,post):	rpm-helper

%description
The portreserve program aims to help services with well-known ports that lie in
the portmap range.  It prevents portmap from a real service's port by occupying
it itself, until the real service tells it to release the port (generally in
the init script).

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %attr(0711,root,root) %{_localstatedir}/lib/%{name}
%dir %attr(0711,root,root) %{_sysconfdir}/%{name}
%{_unitdir}/%{name}.service
%attr(0755,root,root) /sbin/*
%{_mandir}/man1/*

%preun
%_preun_service %{name}

%post
%_post_service %{name}

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

cp %{SOURCE2} portreserve-mandriva.init
autoreconf

%build
%configure2_5x \
	--sbindir=/sbin

%make

%install
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_localstatedir}/lib/%{name}
install -d %{buildroot}%{_mandir}/man1

%makeinstall_std
install -m644 %{SOURCE2} -D %{buildroot}%{_unitdir}/%{name}.service
install -m0644 doc/portrelease.1 %{buildroot}%{_mandir}/man1/
install -m0644 doc/portreserve.1 %{buildroot}%{_mandir}/man1/


%changelog

* Mon May 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.0.5-10
- (c9d2cb9) Build with docbook-dtd45-xml
- (c9d2cb9) Adjust spec style


